# CraftPresence

## [v2.3.0](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.3.0) (2022-06-04)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.2.8...v2.3.0) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Part Two of Locale Rewrite  
    - Ported localization to new format to restore prior functionality.  
    - Further usage with the new methods will occur within the v2.3.x pipeline.  
- [Change] Remove unused translations  
- [Fix] Regression fixes for unnecessary Title capitalizations  
- [Change] Part One of Locale Rewrite  
    - Extended the prior dynamic comments to apply to title and usage as well  
    - Adjusted the logic so everything is not considered a button in the locale. As the locale files havent been changed yet, this will cause a lot of untranslated strings, which I've failsafed for the time being.  
    - Added `GetConfigMetadata` to allow better dynamic delivery. `GetConfigComment`, `GetConfigTitle`, and `GetConfigUsage` are the segmented portions of this functions but are classed as helper functions for it. They can be used on their own just fine however.  
    - `SetupConfigIdentifier` has also been added as an internal use function, as it serves no other purpose other then to help setup method execution for the prior 3 methods.  
- [Fix] Fixed a typo in METRICS\_INFO locale  
- [Change] Added an additional param to `GetConfigComment` to allow per-section dynamic comments  
    - Normally this parameter is reserved to apply an additional tag to the comment and default locale lookup.  
    - This is planned to be used for a locale rewrite to improve clarity and for marking "unsafe" fields (IE fields your allowed to edit, but can cause malformed results if done incorrectly). It also allows me to specify more unique info for certain categories, for example *The fact that the processCallback in the Events tab has two return params, `ignore\_event` and `log\_output`*.  
